/* class comment */!!

inherit(Object, #CLIHelpNode, #(topic      /* help topic (nil for help on all) */
internal  /* true if internal help */), 2, nil)!!

now(class(CLIHelpNode))!!

now(CLIHelpNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("help(self, ");
  if topic
  then
    CLICodeCompile(topic);
  else
    CLICodeCompile("nil");
  endif;
  CLICodeCompile(", ");
  if internal
  then
    CLICodeCompile("0");
  else
    CLICodeCompile("nil");
  endif;
  CLICodeCompile(")) ");
}!!

Def init(self, string, intern)
{
  topic := string;
  internal := intern;
}!!
